libfuse: fuse_file_info Struct Reference

libfuse

Data Fields
fuse_file_info Struct Reference

`#include <fuse_common.h>`

## Data Fields
int | flags
unsigned int | writepage: 1
unsigned int | direct_io: 1
unsigned int | keep_cache: 1
unsigned int | flush: 1
unsigned int | nonseekable: 1
unsigned int | padding: 27
uint64_t | fh
uint64_t | lock_owner
uint32_t | poll_events

## Detailed Description

Information about open files

Definition at line 37 of file fuse_common.h.

## Field Documentation

## ◆ direct_io

unsigned int fuse_file_info::direct_io

Can be filled in by open, to use direct I/O on this file.

Definition at line 46 of file fuse_common.h.

## ◆ fh

uint64_t fuse_file_info::fh

File handle. May be filled in by filesystem in open(). Available in all other file operations

Definition at line 72 of file fuse_common.h.

## ◆ flags

int fuse_file_info::flags

Open flags. Available in open() and release()

Definition at line 39 of file fuse_common.h.

## ◆ flush

unsigned int fuse_file_info::flush

Indicates a flush operation. Set in flush operation, also maybe set in highlevel lock operation and lowlevel release operation.

Definition at line 56 of file fuse_common.h.

## ◆ keep_cache

unsigned int fuse_file_info::keep_cache

Can be filled in by open, to indicate that currently cached file data (that the filesystem provided the last time the file was open) need not be invalidated.

Definition at line 51 of file fuse_common.h.

## ◆ lock_owner

uint64_t fuse_file_info::lock_owner

Lock owner id. Available in locking operations and flush

Definition at line 75 of file fuse_common.h.

## ◆ nonseekable

unsigned int fuse_file_info::nonseekable

Can be filled in by open, to indicate that the file is not seekable.

Definition at line 60 of file fuse_common.h.

## ◆ padding

unsigned int fuse_file_info::padding

Padding. Do not use

Definition at line 68 of file fuse_common.h.

## ◆ poll_events

uint32_t fuse_file_info::poll_events

Requested poll events. Available in ->poll. Only set on kernels which support it. If unsupported, this field is set to zero.

Definition at line 79 of file fuse_common.h.

## ◆ writepage

unsigned int fuse_file_info::writepage

In case of a write operation indicates if this was caused by a writepage

Definition at line 43 of file fuse_common.h.

The documentation for this struct was generated from the following file:

- fuse-3.2.3/include/fuse_common.h